# StanzaError class abstract

A general error type for errors.

Implementers
  - DiscoError
  - RemoteServerNotFoundError
  - RemoteServerTimeoutError
  - ServiceUnavailableError
  - UnknownStanzaError

## Constructors

StanzaError ()

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited

## Static Methods

fromStanza (Stanza stanza) → StanzaError?
fromXMLNode (XMLNode node) → StanzaError?